{
  "$schema":"http://json-schema.org/schema#",
  "$id":"adminapi/schema/nations",
  "title": "Nation definition",
  "description": "A nation from apXtrib world",
  "$comment":"see ./lg/nations_lg.json for description in your languange lg",
  "type": "object",
  "properties": {
    "nationId": {
      "title":"Unique nation name",
      "description":"A unique string that define a nation a-z and 0-9 onlyin a social world",
      "type": "string",
      "pattern":"^[a-z0-9]*$"
    },
    "dtcreate": {
      "title":"Creation date",
      "description":"Nation date of creation",
      "type": "string",
      "format":"date-time"
    },
    "contracts":{
      "title":"Social contract of the nation",
      "description":"A uri of the signed js contract that rules this nation",
      "type": "string",
      "format":"uri"
    }
  },
  "required": ["nationId", "dtcreate","contracts"],
  "additionalProperties":false,
  "apxid":"nationId",
  "apxuniquekey":["nationId"],
  "apxsearchindex": [
    { "name":"lst_nationId", "keyval": "nationId"}
  ],
  "apxaccessrights":{
    "pagan":{"C":[],"R":[]}
  }
}
